Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscoderOutput

    java.lang.Object
      org.apache.batik.transcoder.TranscoderOutput

public class TranscoderOutput
extends java.lang.Object

This class represents a single output for a `Transcoder`.

Field Summary
`protected org.w3c.dom.Document` | `document` The optional output as XML Document.
`protected java.io.OutputStream` | `ostream` The optional output has a byte stream.
`protected java.lang.String` | `uri` The optional output as a URI.
`protected java.io.Writer` | `writer` The optional output as a character stream.
`protected org.xml.sax.XMLFilter` | `xmlFilter` The optional XML filter where to send SAX events.

Constructor Summary
`TranscoderOutput()` Constructs a new empty `TranscoderOutput`.
`TranscoderOutput(org.w3c.dom.Document document)` Constructs a new `TranscoderOutput` with the specified Document.
`TranscoderOutput(java.io.OutputStream ostream)` Constructs a new `TranscoderOutput` with the specified byte stream output.
`TranscoderOutput(java.lang.String uri)` Constructs a new `TranscoderOutput` with the specified uri.
`TranscoderOutput(java.io.Writer writer)` Constructs a new `TranscoderOutput` with the specified character stream.
`TranscoderOutput(org.xml.sax.XMLFilter xmlFilter)` Constructs a new `TranscoderOutput` with the specified XML filter.

Method Summary
`org.w3c.dom.Document` | `getDocument()` Returns the output of this transcoder as a document or null if none was supplied.
`java.io.OutputStream` | `getOutputStream()` Returns the output of this transcoder as a byte stream or null if none was supplied.
`java.lang.String` | `getURI()` Returns the output of this transcoder as a URI or null if none was supplied.
`java.io.Writer` | `getWriter()` Returns the output of this transcoder as a character stream or null if none was supplied.
`org.xml.sax.XMLFilter` | `getXMLFilter()` Returns the output of this transcoder as a XML filter or null if none was supplied.
`void` | `setDocument(org.w3c.dom.Document document)` Sets the output of this transcoder output with the specified document.
`void` | `setOutputStream(java.io.OutputStream ostream)` Sets the output of this transcoder output with the specified byte stream.
`void` | `setURI(java.lang.String uri)` Sets the output of this transcoder output with the specified URI.
`void` | `setWriter(java.io.Writer writer)` Sets the output of this transcoder output with the specified character stream.
`void` | `setXMLFilter(org.xml.sax.XMLFilter xmlFilter)` Sets the output of this transcoder output with the specified XML filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlFilter

    protected org.xml.sax.XMLFilter xmlFilter

  The optional XML filter where to send SAX events.

### ostream

    protected java.io.OutputStream ostream

  The optional output has a byte stream.

### writer

    protected java.io.Writer writer

  The optional output as a character stream.

### document

    protected org.w3c.dom.Document document

  The optional output as XML Document.

### uri

    protected java.lang.String uri

  The optional output as a URI.

Constructor Detail

### TranscoderOutput

    public TranscoderOutput()

  Constructs a new empty `TranscoderOutput`.

### TranscoderOutput

    public TranscoderOutput(org.xml.sax.XMLFilter xmlFilter)

  Constructs a new `TranscoderOutput` with the specified XML filter.

Parameters:
  `xmlFilter` - the XML filter of this transcoder output

### TranscoderOutput

    public TranscoderOutput(java.io.OutputStream ostream)

  Constructs a new `TranscoderOutput` with the specified byte stream output.

Parameters:
  `ostream` - the byte stream of this transcoder output

### TranscoderOutput

    public TranscoderOutput(java.io.Writer writer)

  Constructs a new `TranscoderOutput` with the specified character stream.

Parameters:
  `writer` - the character stream of this transcoder output

### TranscoderOutput

    public TranscoderOutput(org.w3c.dom.Document document)

  Constructs a new `TranscoderOutput` with the specified Document.

Parameters:
  `document` - the Document of this transcoder output

### TranscoderOutput

    public TranscoderOutput(java.lang.String uri)

  Constructs a new `TranscoderOutput` with the specified uri.

Parameters:
  `uri` - the URI of this transcoder output

Method Detail

### setXMLFilter

    public void setXMLFilter(org.xml.sax.XMLFilter xmlFilter)

  Sets the output of this transcoder output with the specified XML filter.

  Parameters:
    `xmlFilter` - the XML filter of this transcoder output

### getXMLFilter

    public org.xml.sax.XMLFilter getXMLFilter()

  Returns the output of this transcoder as a XML filter or null if none was supplied.

### setOutputStream

    public void setOutputStream(java.io.OutputStream ostream)

  Sets the output of this transcoder output with the specified byte stream.

  Parameters:
    `ostream` - the byte stream of this transcoder output

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the output of this transcoder as a byte stream or null if none was supplied.

### setWriter

    public void setWriter(java.io.Writer writer)

  Sets the output of this transcoder output with the specified character stream.

  Parameters:
    `writer` - the character stream of this transcoder output

### getWriter

    public java.io.Writer getWriter()

  Returns the output of this transcoder as a character stream or null if none was supplied.

### setDocument

    public void setDocument(org.w3c.dom.Document document)

  Sets the output of this transcoder output with the specified document.

  Parameters:
    `document` - the document of this transcoder output

### getDocument

    public org.w3c.dom.Document getDocument()

  Returns the output of this transcoder as a document or null if none was supplied.

### setURI

    public void setURI(java.lang.String uri)

  Sets the output of this transcoder output with the specified URI.

  Parameters:
    `uri` - the URI of this transcoder output

### getURI

    public java.lang.String getURI()

  Returns the output of this transcoder as a URI or null if none was supplied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.